Author: waldi
Date: Mon Nov  6 11:30:14 2006
New Revision: 7698

Added:
   dists/trunk/linux-2.6/debian/patches/features/all/vserver/gen-patch   
(contents, props changed)
Log:
debian/patches/features/all/vserver/gen-patch: Add.


Added: dists/trunk/linux-2.6/debian/patches/features/all/vserver/gen-patch
==============================================================================
--- (empty file)
+++ dists/trunk/linux-2.6/debian/patches/features/all/vserver/gen-patch Mon Nov 
 6 11:30:14 2006
@@ -0,0 +1,14 @@
+#!/bin/sh
+patch="$1"
+
+error() {
+  echo "$@";
+  exit 1
+}
+
+version=$(filterdiff -p 1 -i Makefile "$patch" | grep "+EXTRAVERSION" | sed -e 
's,.* -,,')
+[ "$version" ] || error "can't find version!"
+
+file="$version.patch"
+
+filterdiff -p 1 -x Makefile -x init/version.c "$patch" > "$file"

_______________________________________________
Kernel-svn-changes mailing list
[email protected]
http://lists.alioth.debian.org/mailman/listinfo/kernel-svn-changes

Reply via email to